#ifndef ReporteManager_define
#define ReporteManager_define
#include "utiles.h"


class ArchivoConfig;
class Sim808Manager;
class ReporteManager
{
    ArchivoConfig* conf;
    Sim808Manager* sim;
    unsigned long timerData;
    unsigned long timerInf;
    unsigned long timerGPRS;


  public:
    float TempExt;
    float TempInt;
    float Pres;
    bool SMSEnviados;
    bool GPRSdata;
    ReporteManager(ArchivoConfig* archivoConfig, Sim808Manager* moduloSim);

    void procesa();

    void enviaData();

    void enviaInfo();

    void enviaDataGPRS();
};
#endif
